﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Example.Models.Customer>" %>
<%@ Import Namespace="System.Web.Mvc.Html5" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <% using (Html.BeginForm("Index", "Home", FormMethod.Post))
       {%>
    <h2>
        HTML5 Input Types</h2>
    <p>
        To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">
            http://asp.net/mvc</a>.
    </p>
    <p>
        For more info on HTML5 visit <a href="http://www.html5rocks.com/" title="HTML5 Rocks">
            HTML5 Rocks</a>. and <a href="http://deanhume.com/Home/BlogPost/html5-input-types/25" title="Dean Hume  - HTML5 Input Types">HTML5 Input Types</a>
    </p>
    <p>
        Standard Texbox:
        <%= Html.Html5TextBox("txtStandard")%>
    </p>
    <p>
        Standard Texbox with autofocus:
        <%= Html.Html5TextBox("txtStandard",InputTypes.InputType.Text, null, null, false, false, true)%>
    </p>
    <p>
        Standard Textbox with autocomplete:    
        <%= Html.Html5TextBox("txtAutocomplete",InputTypes.InputType.Text,new {autocomplete = "on"}) %>
    </p>
    <p>
        Colour Textbox:
        <%= Html.Html5TextBox("txtOne", InputTypes.InputType.Color)%>
    </p>
    <p>
        Email Address with placeholder:
        <%= Html.Html5TextBoxFor(model => model.CustomerEmail, InputTypes.InputType.Email, null, "Email Address")%>
    </p>
    <p>
        Textbox For:
        <%= Html.Html5TextBoxFor(model => model.CustomerName, InputTypes.InputType.Text, null, null)%>
    </p>
     <p>
        Textbox For with readonly:
        <%= Html.Html5TextBoxFor(model => model.CustomerName, InputTypes.InputType.Text, null, null, true)%>
    </p>
    <p>
        Textbox For with Html attributes:
        <%= Html.Html5TextBoxFor(model => model.CustomerName, InputTypes.InputType.Text, new { @class = "cssClass" }, null)%>
    </p>
    <p>
        Range:
        <%= Html.Html5Range(1, 100 , 0, 23, null)%>
    </p>
    <p>
        Number:
        <%= Html.Html5Number(1, 50 , 2, 50, null)%>
    </p>
    <input type="submit" />
    <% } %>
</asp:Content>
